'use strict';

module.exports = function requireProperties(object, properties) {
	let missingProperties = [];

	properties.forEach((property) => {
		if (object[property] == null) {
			missingProperties.push(property);
		}
	});

	if (missingProperties.length > 0) {
		throw new Error(`Missing required properties: ${missingProperties.join(", ")}`);
	} else {
		return true;
	}
};
